//+++HDR+++
//======================================================================
//   This file is part of the BRAIN software framework.
//   Copyright (C) 2009 by CRS4, Pula, Italy.
//
//   For more information, visit the CRS4 Visual Computing Group
//   web pages at http://www.crs4.it/vic/
//
//   This file may be used under the terms of the GNU General Public
//   License as published by the Free Software Foundation and appearing
//   in the file LICENSE included in the packaging of this file.
//
//   CRS4 reserves all rights not expressly granted herein.
//  
//   This file is provided AS IS with NO WARRANTY OF ANY KIND, 
//   INCLUDING THE WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS 
//   FOR A PARTICULAR PURPOSE.
//
//======================================================================
//---HDR---//
#ifndef BSMEASUREWIDGETIMPL_H
#define BSMEASUREWIDGETIMPL_H
#include "bsMeasureWidget.hpp"

class QString;

class bsMeasureWidgetImpl : public bsMeasureWidget
{ 
    Q_OBJECT

public:
    bsMeasureWidgetImpl( QWidget* parent = 0, const char* name = 0, Qt::WFlags fl = 0 );
    ~bsMeasureWidgetImpl();
    
    void setStartPoint(QString& str);
    void setEndPoint(QString& str);
    void setDistance(QString& str);

signals:

    void wlhChanged();

};

#endif // BSMEASUREWIDGETIMPL_H
