#+++HDR+++
#======================================================================
#
#   This file is part of the CRS4/ViC software.
#   Copyright (C) 2009 by CRS4, Pula, Italy.
#
#   For more information, visit the CRS4 Visual Computing Group
#   web pages at http://www.crs4.it/vic/
#
#   This file is provided AS IS with NO WARRANTY OF ANY KIND, 
#   INCLUDING THE WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS 
#   FOR A PARTICULAR PURPOSE.
#
#======================================================================
#---HDR---#
xvic_curl {
  win32 {
    CURL_DIR = $(CURL_DIR)
    !exists($$CURL_DIR/include/curl/curl.h) {
       error("Cannot find CURL_DIR/include/curl/curl.h -- please set CURL_DIR env var")
    }
   LIB_NAME="libcurl.lib"
   CURL_LIB_DIR=$(CURL_LIB_DIR)
   !exists($$CURL_LIB_DIR/$$LIB_NAME) {
     CURL_LIB_DIR=$$CURL_DIR	
     !exists($$CURL_LIB_DIR/$$LIB_NAME) {
	LIB_NAME="curllib.lib"
   	CURL_LIB_DIR=$(CURL_LIB_DIR)
   	!exists($$CURL_LIB_DIR/$$LIB_NAME) {
     	  CURL_LIB_DIR=$$CURL_DIR	
          !exists($$CURL_LIB_DIR/$$LIB_NAME) {
	    error("Cannot find CURL_LIB_DIR/libcurl_static.lib curllib_static.lib -- please set CURL_LIB_DIR env var")
	  }
	}
     }
   }
   LIBS+= -L$$CURL_LIB_DIR $$LIB_NAME wldap32.lib ws2_32.lib wsock32.lib winmm.lib 
   DEFINES += CURL_STATICLIB
  }
  unix {
    CURL_DIR=$(CURL_DIR)
    !exists($$CURL_DIR/include/curl/curl.h) {
       CURL_DIR=/usr/
       !exists($$CURL_DIR/include/curl/curl.h) {
         CURL_DIR=/usr/local/
         !exists($$CURL_DIR/include/curl/curl.h) {
            CURL_DIR=/u/vvr/packages/
            !exists($$CURL_DIR/include/curl/curl.h) {
               error("Cannot find CURL_DIR/include/curl/curl.h -- please set CURL_DIR env var")
            }
         }
       }
    }
    
    CURL_LIB_DIR=$(CURL_LIB_DIR)
    !exists($$CURL_LIB_DIR/libcurl.*) {
      CURL_LIB_DIR=$$CURL_DIR/lib64
      !exists($$CURL_LIB_DIR/libcurl.*) {
        CURL_LIB_DIR=$$CURL_DIR/lib
        !exists($$CURL_LIB_DIR/libcurl.*) {
           error("Cannot find CURL_LIB_DIR/libcurl.* -- please set CURL_LIB_DIR env var")
        }
      }
    }

    LIBS += -L$$CURL_LIB_DIR -lcurl

  } 
  INCLUDEPATH += $$CURL_DIR/include/

  message("Configured for curl")
}
