#+++HDR+++
#======================================================================
#
#   This file is part of the CRS4/ViC software.
#   Copyright (C) 2009 by CRS4, Pula, Italy.
#
#   For more information, visit the CRS4 Visual Computing Group
#   web pages at http://www.crs4.it/vic/
#
#   This file is provided AS IS with NO WARRANTY OF ANY KIND, 
#   INCLUDING THE WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS 
#   FOR A PARTICULAR PURPOSE.
#
#======================================================================
#---HDR---#
xvic_db4 {
    DB4_DIR=$(DB4_DIR)
    !exists($$DB4_DIR/include/db.h) {
       DB4_DIR=/usr/
       !exists($$DB4_DIR/include/db.h) {
         DB4_DIR=/usr/local/
         !exists($$DB4_DIR/include/db.h) {
            error("Cannot find DB4_DIR/include/db.h -- please set DB4_DIR env var")
         }
       }
    } 

  unix {
    DB4_LIB_DIR=$(DB4_LIB_DIR)
    !exists($$DB4_LIB_DIR/libdb.*) {
      DB4_LIB_DIR=$$DB4_DIR/lib64
      !exists($$DB4_LIB_DIR/libdb.*) {
        DB4_LIB_DIR=$$DB4_DIR/lib
        !exists($$DB4_LIB_DIR/libdb.*) {
          error("Cannot find DB4_LIB_DIR/libdb.* -- please set DB4_LIB_DIR env var")
        }
      }
    }
    LIBS += -L$$DB4_LIB_DIR -ldb -ldb_cxx
    INCLUDEPATH += $$DB4_DIR/include/ 
  }

  win32 {
    DB4_LIB_DIR=$(DB4_LIB_DIR)
    !exists($$DB4_LIB_DIR/libdb47.*) {
       error("Cannot find DB4_LIB_DIR/libdb47.* -- please set DB4_LIB_DIR env var")
    } 
    LIBS += -L$$DB4_LIB_DIR -llibdb47
    INCLUDEPATH += $$DB4_DIR/include/ 
  }

  message("Configured for db4")
}
