#+++HDR+++
#======================================================================
#
#   This file is part of the CRS4/ViC software.
#   Copyright (C) 2009 by CRS4, Pula, Italy.
#
#   For more information, visit the CRS4 Visual Computing Group
#   web pages at http://www.crs4.it/vic/
#
#   This file is provided AS IS with NO WARRANTY OF ANY KIND, 
#   INCLUDING THE WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS 
#   FOR A PARTICULAR PURPOSE.
#
#======================================================================
#---HDR---#

xvic_ode {

win32 {
ODE_DIR = $(ODE_DIR)
   !exists($$ODE_DIR/include/ode/ode.h) {
       error("Cannot find ODE_DIR/include/ode.h -- please set ODE_DIR env var")
   }

   ODE_LIB_DIR=$(ODE_LIB_DIR)
   !exists($$ODE_LIB_DIR/ode_double.*) {    
     !exists($$ODE_LIB_DIR/ode.*) {
        error("Cannot find ODE_LIB_DIR/ode.* ode_double* -- please set ODE_LIB_DIR env var")
      }
   }
  
   LIBS        *= -L$$ODE_LIB_DIR ode_double.lib
   INCLUDEPATH += $$ODE_DIR/include
}

unix {
ODE_DIR=$(ODE_DIR)
    !exists($$ODE_DIR/include/ode/ode.h) {
       ODE_DIR=/usr/
       !exists($$ODE_DIR/include/ode/ode.h) {
         ODE_DIR=/usr/local/
         !exists($$ODE_DIR/include/ode/ode.h) {
            error("Cannot find ODE_DIR/include/ode/ode.h -- please set ODE_DIR env var")
        }
      }
    }
    
    ODE_LIB_DIR=$(ODE_LIB_DIR)
    !exists($$ODE_LIB_DIR/libode.*) {
      ODE_LIB_DIR=$$ODE_DIR/lib64
      !exists($$ODE_LIB_DIR/libode.*) {
        ODE_LIB_DIR=$$ODE_DIR/lib
        !exists($$ODE_LIB_DIR/libode.*) {
           error("Cannot find ODE_LIB_DIR/libode.* -- please set ODE_LIB_DIR env var")
        }
      }
    }

    LIBS        += -L$$ODE_LIB_DIR -lode
    INCLUDEPATH += $$ODE_DIR/include
}

 DEFINES += dDOUBLE
 message ("Using xvic_ogre module")
 
}
