#+++HDR+++
#======================================================================
#
#   This file is part of the CRS4/ViC software.
#   Copyright (C) 2009 by CRS4, Pula, Italy.
#
#   For more information, visit the CRS4 Visual Computing Group
#   web pages at http://www.crs4.it/vic/
#
#   This file is provided AS IS with NO WARRANTY OF ANY KIND, 
#   INCLUDING THE WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS 
#   FOR A PARTICULAR PURPOSE.
#
#======================================================================
#---HDR---#
xvic_shp {
  win32 {
    SHP_DIR = $(SHP_DIR)
    !exists($$SHP_DIR/shapefil.h) {
      error("Cannot find SHP_DIR/shapefil.h -- please set SHP_DIR env var") 
    }
    SHP_LIB_DIR = $(SHP_LIB_DIR)
    !exists($$SHP_LIB_DIR/shapelib.*) {
      SHP_LIB_DIR=$$SHP_DIR/
      !exists($$SHP_LIB_DIR/shapelib.*) {
        error("Cannot find SHP_LIB_DIR/shapelib.* -- please set SHP_LIB_DIR env var")
      }
    }
    INCLUDEPATH += $$SHP_DIR
    LIBS += $$SHP_LIB_DIR/shapelib.lib
  }

  unix {
    SHP_DIR=$(SHP_DIR)
    !exists($$SHP_DIR/include/libshp/shapefil.h) {
       SHP_DIR=/usr/
       !exists($$SHP_DIR/include/libshp/shapefil.h) {
         SHP_DIR=/usr/local/
         !exists($$SHP_DIR/include/libshp/shapefil.h) {
            SHP_DIR=/u/vvr/packages/
            !exists($$SHP_DIR/include/libshp/shapefil.h) {
               SHP_DIR=/usr
               !exists($$SHP_DIR/include/shapefil.h) {
                 error("Cannot find SHP_DIR/include/libshp/shapefil.h -- please set SHP_DIR env var")
               }
            }
         }
       }
    }
    SHP_LIB_DIR=$(SHP_LIB_DIR)
    !exists($$SHP_LIB_DIR/libshp.*) {
      SHP_LIB_DIR=$$SHP_DIR/lib64
      !exists($$SHP_LIB_DIR/libshp.*) {
        SHP_LIB_DIR=$$SHP_DIR/lib
        !exists($$SHP_LIB_DIR/libshp.*) {
          SHP_LIB_DIR=/usr/lib
          !exists($$SHP_LIB_DIR/libshp.*) {
            error("Cannot find SHP_LIB_DIR/libshp.* -- please set SHP_LIB_DIR env var")
          }
        }
      }
    }
    INCLUDEPATH += $$SHP_DIR/include/
    LIBS += -L$$SHP_LIB_DIR -lshp
  } 

  message("Configured for shp")
}
