#ifndef BSMINIVIEWERWINDOW3D_H
#define BSMINIVIEWERWINDOW3D_H

#include <qvariant.h>


#include <Qt3Support/Q3Frame>
#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QGridLayout>
#include <QtGui/QHeaderView>
#include <QtGui/QPushButton>
#include <QtGui/QRadioButton>
#include <QtGui/QSpacerItem>
#include <QtGui/QVBoxLayout>
#include <QtGui/QWidget>
#include "bsFastBrainViewer.h"

QT_BEGIN_NAMESPACE

class Ui_bsMiniViewerWindow3D
{
public:
    QGridLayout *gridLayout;
    Q3Frame *bsViewerFrame;
    QVBoxLayout *vboxLayout;
    bsFastBrainViewer *m_viewer;
    QGridLayout *gridLayout1;
    Q3Frame *m_tool_frame;
    QPushButton *m_reset_button;
    QSpacerItem *Spacer1;
    QRadioButton *m_draft_quality_button;

    void setupUi(QWidget *bsMiniViewerWindow3D)
    {
        if (bsMiniViewerWindow3D->objectName().isEmpty())
            bsMiniViewerWindow3D->setObjectName(QString::fromUtf8("bsMiniViewerWindow3D"));
        bsMiniViewerWindow3D->resize(247, 313);
        gridLayout = new QGridLayout(bsMiniViewerWindow3D);
#ifndef Q_OS_MAC
        gridLayout->setSpacing(6);
#endif
        gridLayout->setMargin(11);
        gridLayout->setObjectName(QString::fromUtf8("gridLayout"));
        bsViewerFrame = new Q3Frame(bsMiniViewerWindow3D);
        bsViewerFrame->setObjectName(QString::fromUtf8("bsViewerFrame"));
        QPalette palette;
        palette.setColor(QPalette::Active, static_cast<QPalette::ColorRole>(0), QColor(0, 0, 0));
        palette.setColor(QPalette::Active, static_cast<QPalette::ColorRole>(1), QColor(160, 160, 160));
        palette.setColor(QPalette::Active, static_cast<QPalette::ColorRole>(2), QColor(240, 240, 240));
        palette.setColor(QPalette::Active, static_cast<QPalette::ColorRole>(3), QColor(200, 200, 200));
        palette.setColor(QPalette::Active, static_cast<QPalette::ColorRole>(4), QColor(80, 80, 80));
        palette.setColor(QPalette::Active, static_cast<QPalette::ColorRole>(5), QColor(106, 106, 106));
        palette.setColor(QPalette::Active, static_cast<QPalette::ColorRole>(6), QColor(0, 0, 0));
        palette.setColor(QPalette::Active, static_cast<QPalette::ColorRole>(7), QColor(255, 255, 255));
        palette.setColor(QPalette::Active, static_cast<QPalette::ColorRole>(8), QColor(0, 0, 0));
        palette.setColor(QPalette::Active, static_cast<QPalette::ColorRole>(9), QColor(196, 196, 196));
        palette.setColor(QPalette::Active, static_cast<QPalette::ColorRole>(10), QColor(0, 0, 0));
        palette.setColor(QPalette::Active, static_cast<QPalette::ColorRole>(11), QColor(0, 0, 0));
        palette.setColor(QPalette::Active, static_cast<QPalette::ColorRole>(12), QColor(0, 0, 0));
        palette.setColor(QPalette::Active, static_cast<QPalette::ColorRole>(13), QColor(196, 196, 196));
        palette.setColor(QPalette::Inactive, static_cast<QPalette::ColorRole>(0), QColor(0, 0, 0));
        palette.setColor(QPalette::Inactive, static_cast<QPalette::ColorRole>(1), QColor(160, 160, 160));
        palette.setColor(QPalette::Inactive, static_cast<QPalette::ColorRole>(2), QColor(240, 240, 240));
        palette.setColor(QPalette::Inactive, static_cast<QPalette::ColorRole>(3), QColor(184, 184, 184));
        palette.setColor(QPalette::Inactive, static_cast<QPalette::ColorRole>(4), QColor(80, 80, 80));
        palette.setColor(QPalette::Inactive, static_cast<QPalette::ColorRole>(5), QColor(106, 106, 106));
        palette.setColor(QPalette::Inactive, static_cast<QPalette::ColorRole>(6), QColor(0, 0, 0));
        palette.setColor(QPalette::Inactive, static_cast<QPalette::ColorRole>(7), QColor(255, 255, 255));
        palette.setColor(QPalette::Inactive, static_cast<QPalette::ColorRole>(8), QColor(0, 0, 0));
        palette.setColor(QPalette::Inactive, static_cast<QPalette::ColorRole>(9), QColor(196, 196, 196));
        palette.setColor(QPalette::Inactive, static_cast<QPalette::ColorRole>(10), QColor(0, 0, 0));
        palette.setColor(QPalette::Inactive, static_cast<QPalette::ColorRole>(11), QColor(0, 0, 0));
        palette.setColor(QPalette::Inactive, static_cast<QPalette::ColorRole>(12), QColor(0, 0, 0));
        palette.setColor(QPalette::Inactive, static_cast<QPalette::ColorRole>(13), QColor(196, 196, 196));
        palette.setColor(QPalette::Disabled, static_cast<QPalette::ColorRole>(0), QColor(128, 128, 128));
        palette.setColor(QPalette::Disabled, static_cast<QPalette::ColorRole>(1), QColor(160, 160, 160));
        palette.setColor(QPalette::Disabled, static_cast<QPalette::ColorRole>(2), QColor(240, 240, 240));
        palette.setColor(QPalette::Disabled, static_cast<QPalette::ColorRole>(3), QColor(184, 184, 184));
        palette.setColor(QPalette::Disabled, static_cast<QPalette::ColorRole>(4), QColor(80, 80, 80));
        palette.setColor(QPalette::Disabled, static_cast<QPalette::ColorRole>(5), QColor(106, 106, 106));
        palette.setColor(QPalette::Disabled, static_cast<QPalette::ColorRole>(6), QColor(0, 0, 0));
        palette.setColor(QPalette::Disabled, static_cast<QPalette::ColorRole>(7), QColor(255, 255, 255));
        palette.setColor(QPalette::Disabled, static_cast<QPalette::ColorRole>(8), QColor(128, 128, 128));
        palette.setColor(QPalette::Disabled, static_cast<QPalette::ColorRole>(9), QColor(196, 196, 196));
        palette.setColor(QPalette::Disabled, static_cast<QPalette::ColorRole>(10), QColor(0, 0, 0));
        palette.setColor(QPalette::Disabled, static_cast<QPalette::ColorRole>(11), QColor(0, 0, 0));
        palette.setColor(QPalette::Disabled, static_cast<QPalette::ColorRole>(12), QColor(0, 0, 0));
        palette.setColor(QPalette::Disabled, static_cast<QPalette::ColorRole>(13), QColor(196, 196, 196));
        bsViewerFrame->setPalette(palette);
        bsViewerFrame->setFrameShape(QFrame::StyledPanel);
        bsViewerFrame->setFrameShadow(QFrame::Raised);
        vboxLayout = new QVBoxLayout(bsViewerFrame);
#ifndef Q_OS_MAC
        vboxLayout->setSpacing(6);
#endif
        vboxLayout->setMargin(11);
        vboxLayout->setObjectName(QString::fromUtf8("vboxLayout"));
        m_viewer = new bsFastBrainViewer(bsViewerFrame);
        m_viewer->setObjectName(QString::fromUtf8("m_viewer"));

        vboxLayout->addWidget(m_viewer);


        gridLayout->addWidget(bsViewerFrame, 1, 0, 1, 1);

        gridLayout1 = new QGridLayout();
#ifndef Q_OS_MAC
        gridLayout1->setSpacing(6);
#endif
        gridLayout1->setMargin(0);
        gridLayout1->setObjectName(QString::fromUtf8("gridLayout1"));
        m_tool_frame = new Q3Frame(bsMiniViewerWindow3D);
        m_tool_frame->setObjectName(QString::fromUtf8("m_tool_frame"));
        QSizePolicy sizePolicy(static_cast<QSizePolicy::Policy>(5), static_cast<QSizePolicy::Policy>(1));
        sizePolicy.setHorizontalStretch(0);
        sizePolicy.setVerticalStretch(0);
        sizePolicy.setHeightForWidth(m_tool_frame->sizePolicy().hasHeightForWidth());
        m_tool_frame->setSizePolicy(sizePolicy);
        m_tool_frame->setMinimumSize(QSize(40, 40));
        m_tool_frame->setMaximumSize(QSize(32767, 40));
        m_tool_frame->setFrameShape(QFrame::StyledPanel);
        m_tool_frame->setFrameShadow(QFrame::Raised);

        gridLayout1->addWidget(m_tool_frame, 0, 3, 1, 1);

        m_reset_button = new QPushButton(bsMiniViewerWindow3D);
        m_reset_button->setObjectName(QString::fromUtf8("m_reset_button"));
        m_reset_button->setIcon(qt_get_icon(image0_ID));

        gridLayout1->addWidget(m_reset_button, 0, 0, 1, 1);

        Spacer1 = new QSpacerItem(20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);

        gridLayout1->addItem(Spacer1, 0, 2, 1, 1);

        m_draft_quality_button = new QRadioButton(bsMiniViewerWindow3D);
        m_draft_quality_button->setObjectName(QString::fromUtf8("m_draft_quality_button"));
        QFont font;
        font.setPointSize(8);
        m_draft_quality_button->setFont(font);

        gridLayout1->addWidget(m_draft_quality_button, 0, 1, 1, 1);


        gridLayout->addLayout(gridLayout1, 0, 0, 1, 1);


        retranslateUi(bsMiniViewerWindow3D);
        QObject::connect(m_reset_button, SIGNAL(clicked()), m_viewer, SLOT(reset()));
        QObject::connect(m_draft_quality_button, SIGNAL(toggled(bool)), m_viewer, SLOT(setDraftQuality(bool)));

        QMetaObject::connectSlotsByName(bsMiniViewerWindow3D);
    } // setupUi

    void retranslateUi(QWidget *bsMiniViewerWindow3D)
    {
        bsMiniViewerWindow3D->setWindowTitle(QApplication::translate("bsMiniViewerWindow3D", "bsMiniViewerWindow3D", 0, QApplication::UnicodeUTF8));
        m_reset_button->setText(QString());
#ifndef QT_NO_TOOLTIP
        m_reset_button->setToolTip(QApplication::translate("bsMiniViewerWindow3D", "Reset", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
        m_draft_quality_button->setText(QApplication::translate("bsMiniViewerWindow3D", "Draft", 0, QApplication::UnicodeUTF8));
#ifndef QT_NO_TOOLTIP
        m_draft_quality_button->setToolTip(QApplication::translate("bsMiniViewerWindow3D", "Draft Quality", 0, QApplication::UnicodeUTF8));
#endif // QT_NO_TOOLTIP
        Q_UNUSED(bsMiniViewerWindow3D);
    } // retranslateUi


protected:
    enum IconID
    {
        image0_ID,
        image1_ID,
        unknown_ID
    };
    static QPixmap qt_get_icon(IconID id)
    {
    static const char* const image0_data[] = { 
"22 22 3 1",
". c None",
"# c #000000",
"a c #ffff00",
"......................",
"......................",
"......................",
"......##..#...........",
"......##.###..........",
"......####a##.........",
"......###aaa##........",
"......##aaaaa##.......",
".....##aaaaaaa##......",
"....##aa###aaaa##.....",
"...###aa#.#aaaa###....",
"..##.#aa###aaaaa###...",
"..#..#aaaaaaaaaa#.##..",
".....#aaaaaaaaaa#..#..",
".....#aaaaaaaaaa#.....",
".....#aaaa###aaa#.....",
".....#aaaa#.#aaa#.....",
".....#aaaa#.#aaa#.....",
".....#aaaa#.#aaa#.....",
".....############.....",
"......................",
"......................"};


    static const char* const image1_data[] = { 
"22 22 2 1",
". c None",
"# c #a4c610",
"........######........",
".....###########......",
"....##############....",
"...################...",
"..######......######..",
"..#####........#####..",
".#####.......#..#####.",
".####.......###..####.",
"####.......#####..####",
"####......#####...####",
"####....#######...####",
"####....######....####",
"####...########...####",
".####.##########..####",
".####..####.#########.",
".#####..##...########.",
"..#####.......#######.",
"..######......######..",
"...###################",
"....##################",
"......###########.###.",
"........######.....#.."};


    switch (id) {
        case image0_ID: return QPixmap((const char**)image0_data);
        case image1_ID: return QPixmap((const char**)image1_data);
        default: return QPixmap();
    } // switch
    } // icon

};

namespace Ui {
    class bsMiniViewerWindow3D: public Ui_bsMiniViewerWindow3D {};
} // namespace Ui

QT_END_NAMESPACE

class bsMiniViewerWindow3D : public QWidget, public Ui::bsMiniViewerWindow3D
{
    Q_OBJECT

public:
    bsMiniViewerWindow3D(QWidget* parent = 0, const char* name = 0, Qt::WindowFlags fl = 0);
    ~bsMiniViewerWindow3D();

protected slots:
    virtual void languageChange();

};

#endif // BSMINIVIEWERWINDOW3D_H
