xvic_equalizer {

win32 {
}

unix {

    EQUALIZER_DIR=$(EQUALIZER_DIR)
    !exists($$EQUALIZER_DIR/include/eq/eq.h) {
       EQUALIZER_DIR=/usr
       !exists($$EQUALIZER_DIR/include/eq/eq.h) {
         EQUALIZER_DIR=/usr/local
         !exists($$EQUALIZER_DIR/include/eq/eq.h) {
            error("Cannot find EQUALIZER_DIR/include/eq/eq.h -- please set EQUALIZER_DIR env var")
        }
      }
    }
    
    EQUALIZER_LIB_DIR=$(EQUALIZER_LIB_DIR)
    !exists($$EQUALIZER_LIB_DIR/libeq.*) {
      EQUALIZER_LIB_DIR=$$EQUALIZER_DIR/lib64
      !exists($$EQUALIZER_LIB_DIR/libeq.*) {
        EQUALIZER_LIB_DIR=$$EQUALIZER_DIR/lib
        !exists($$EQUALIZER_LIB_DIR/libeq.*) {
           error("Cannot find EQUALIZER_LIB_DIR/libeq.* -- please set EQUALIZER_LIB_DIR env var")
        }
      }
    }

    LIBS        += -L$$EQUALIZER_LIB_DIR -leq -lrt
    INCLUDEPATH += $$EQUALIZER_DIR/include
}

 DEFINES += NDEBUG
 message ("Using xvic_equalizer module")
 
}

