#+++HDR+++
#======================================================================
#
#   This file is part of the CRS4/ViC software.
#   Copyright (C) 2009 by CRS4, Pula, Italy.
#
#   For more information, visit the CRS4 Visual Computing Group
#   web pages at http://www.crs4.it/vic/
#
#   This file is provided AS IS with NO WARRANTY OF ANY KIND, 
#   INCLUDING THE WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS 
#   FOR A PARTICULAR PURPOSE.
#
#======================================================================
#---HDR---#
xvic_glew {
  win32 {
    GLEW_DIR = $(GLEW_DIR)
    !exists($$GLEW_DIR/include/GL/glew.h) {
       error("Cannot find GLEW_DIR/include/GL/glew.h -- please set GLEW_DIR env var")
    }
	GLEW_LIB_DIR=$(GLEW_LIB_DIR)
	!exists($$GLEW_LIB_DIR/lib/glew32.*) {
     GLEW_LIB_DIR=$$GLEW_DIR/lib	
     !exists($$GLEW_LIB_DIR/glew32.*) {
        error("Cannot find GLEW_LIB_DIR/glew32.* -- please set GLEW_LIB_DIR env var")
     }
   }
LIBS += -L$$GLEW_LIB_DIR -lglew32
  }
  unix {
    GLEW_DIR=$(GLEW_DIR)
    !exists($$GLEW_DIR/include/GL/glew.h) {
      GLEW_DIR=/usr
      !exists($$GLEW_DIR/include/GL/glew.h) {
        GLEW_DIR=/usr/local
        !exists($$GLEW_DIR/include/GL/glew.h) {
          GLEW_DIR=/u/vvr/packages
          !exists($$GLEW_DIR/include/GL/glew.h) {
            error("Cannot find GLEW_DIR/include/GL/glew.h -- please set GLEW_DIR env var")
          }
        }
      }
    }
    
    GLEW_LIB_DIR=$(GLEW_LIB_DIR)
    !exists($$GLEW_LIB_DIR/libGLEW.*) {
      GLEW_LIB_DIR=$$GLEW_DIR/lib64
      !exists($$GLEW_LIB_DIR/libGLEW.*) {
        GLEW_LIB_DIR=$$GLEW_DIR/lib
        !exists($$GLEW_LIB_DIR/libGLEW.*) {
          error("Cannot find GLEW_LIB_DIR/libGLEW.* -- please set GLEW_LIB_DIR env var")
        }
      }
    }

    LIBS += -L$$GLEW_LIB_DIR -lGLEW
  
  } 


  INCLUDEPATH += $$GLEW_DIR/include/
  message("Configured for xvic_glew")
}
