#+++HDR+++
#======================================================================
#
#   This file is part of the CRS4/ViC software.
#   Copyright (C) 2009 by CRS4, Pula, Italy.
#
#   For more information, visit the CRS4 Visual Computing Group
#   web pages at http://www.crs4.it/vic/
#
#   This file is provided AS IS with NO WARRANTY OF ANY KIND, 
#   INCLUDING THE WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS 
#   FOR A PARTICULAR PURPOSE.
#
#======================================================================
#---HDR---#
xvic_liblas {
  win32 {
    LIBLAS_DIR = $(LIBLAS_DIR)
    !exists($$LIBLAS_DIR/liblas.hpp) {
      error("Cannot find LIBLAS_DIR/liblas.hpp -- please set LIBLAS_DIR env var") 
    }
    LIBLAS_LIB_DIR = $(LIBLAS_LIB_DIR)
    !exists($$LIBLAS_LIB_DIR/liblas.*) {
      LIBLAS_LIB_DIR=$$LIBLAS_DIR/
      !exists($$LIBLAS_LIB_DIR/liblas.*) {
        error("Cannot find LIBLAS_LIB_DIR/liblas.* -- please set LIBLAS_LIB_DIR env var")
      }
    }
    INCLUDEPATH += $$LIBLAS_DIR
    LIBS += $$LIBLAS_LIB_DIR/liblas.lib
  }

  unix {
    LIBLAS_DIR=$(LIBLAS_DIR)
    !exists($$LIBLAS_DIR/include/liblas/liblas.hpp) {
       LIBLAS_DIR=/usr/
       !exists($$LIBLAS_DIR/include/liblas/liblas.hpp) {
         LIBLAS_DIR=/usr/local/
         !exists($$LIBLAS_DIR/include/liblas/liblas.hpp) {
           error("Cannot find LIBLAS_DIR/include/libliblas/liblas.hpp -- please set LIBLAS_DIR env var")
         }
       }
    }

    LIBLAS_LIB_DIR=$(LIBLAS_LIB_DIR)
    !exists($$LIBLAS_LIB_DIR/liblas.*) {
      LIBLAS_LIB_DIR=$$LIBLAS_DIR/lib64
      !exists($$LIBLAS_LIB_DIR/liblas.*) {
        LIBLAS_LIB_DIR=$$LIBLAS_DIR/lib
        !exists($$LIBLAS_LIB_DIR/liblas.*) {
          LIBLAS_LIB_DIR=/usr/lib
          !exists($$LIBLAS_LIB_DIR/liblas.*) {
            error("Cannot find LIBLAS_LIB_DIR/liblas.* -- please set LIBLAS_LIB_DIR env var")
          }
        }
      }
    }

    INCLUDEPATH += $$LIBLAS_DIR/include/liblas
    LIBS += -L$$LIBLAS_LIB_DIR -llas
  } 

  message("Configured for liblas")
}
