#+++HDR+++
#======================================================================
#
#   This file is part of the CRS4/ViC software.
#   Copyright (C) 2009 by CRS4, Pula, Italy.
#
#   For more information, visit the CRS4 Visual Computing Group
#   web pages at http://www.crs4.it/vic/
#
#   This file is provided AS IS with NO WARRANTY OF ANY KIND, 
#   INCLUDING THE WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS 
#   FOR A PARTICULAR PURPOSE.
#
#======================================================================
#---HDR---#
xvic_lzo {
  win32 {
    LZO_DIR = $(LZO_DIR)
    !exists($$LZO_DIR/include/lzo/lzoconf.h) {
       error("Cannot find LZO_DIR/include/lzo/lzoconf.h -- please set LZO_DIR env var")
    }
    LZO_LIB_DIR=$$LZO_DIR
    !exists($$LZO_LIB_DIR/lzo2.*) {
       error("Cannot find LZO_LIB_DIR/lzo2.* -- please set LZO_LIB_DIR env var") 	
    }	

    INCLUDEPATH += $$LZO_DIR/include/	
    LIBS += -L$$LZO_LIB_DIR -llzo2
     message("Configured for xvic_lzo")
  }
  unix {
    LZO_DIR=$(LZO_DIR)
    !exists($$LZO_DIR/include/lzo/lzoconf.h) {
      LZO_DIR=/usr/
      !exists($$LZO_DIR/include/lzo/lzoconf.h) {
        LZO_DIR=/usr/local/
          !exists($$LZO_DIR/include/lzo/lzoconf.h) {
            LZO_DIR=/u/vvr/packages/
            !exists($$LZO_DIR/include/lzo/lzoconf.h) {
	      LZO_DIR=$$(PREFIX)
              !exists($$LZO_DIR/include/lzo/lzoconf.h) {
                error("Cannot find LZO_DIR/include/lzo/lzoconf.h Please set LZO_DIR env var.")
              }
            }
         }
      }	
    }
   
    LZO_LIB_DIR=$(LZO_LIB_DIR)
    !exists($$LZO_LIB_DIR/liblzo2.*) {
      LZO_LIB_DIR=$$LZO_DIR/lib64
      !exists($$LZO_LIB_DIR/liblzo2.*) {
        LZO_LIB_DIR=$$LZO_DIR/lib
        !exists($$LZO_LIB_DIR/liblzo2.*) {
	    error("Cannot find LZO_LIB_DIR/liblzo2.* Please set LZO_LIB_DIR env var")
        }
      }
    }
    
    LIBS += -L$$LZO_LIB_DIR -llzo2 
    INCLUDEPATH += $$LZO_DIR/include/

    message("Configured for xvic_lzo")
  }
}

