#+++HDR+++
#======================================================================
#
#   This file is part of the CRS4/ViC software.
#   Copyright (C) 2009 by CRS4, Pula, Italy.
#
#   For more information, visit the CRS4 Visual Computing Group
#   web pages at http://www.crs4.it/vic/
#
#   This file is provided AS IS with NO WARRANTY OF ANY KIND, 
#   INCLUDING THE WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS 
#   FOR A PARTICULAR PURPOSE.
#
#======================================================================
#---HDR---#
xvic_zlib {
  win32 {
    ZLIB_DIR = $(ZLIB_DIR)
    !exists($$ZLIB_DIR/include/zlib.h) {
       error("Cannot find ZLIB_DIR/include/zlib.h -- please set ZLIB_DIR env var")
    }
   ZLIB_LIB_DIR=$(ZLIB_LIB_DIR)
   !exists($$ZLIB_LIB_DIR/lib/zlib.*) {
     ZLIB_LIB_DIR=$$ZLIB_DIR	
     !exists($$ZLIB_LIB_DIR/lib/zlib.*) {
        error("Cannot find ZLIB_LIB_DIR/lib/zlib.* -- please set ZLIB_LIB_DIR env var")
     }
   }
   LIBS+= $$ZLIB_LIB_DIR/lib/zlib.lib
  }
  unix {
    ZLIB_DIR=$(ZLIB_DIR)
    !exists($$ZLIB_DIR/include/zlib.h) {
       ZLIB_DIR=/usr/
       !exists($$ZLIB_DIR/include/zlib.h) {
         ZLIB_DIR=/usr/local/
         !exists($$ZLIB_DIR/include/zlib.h) {
            ZLIB_DIR=/u/vvr/packages/
            !exists($$ZLIB_DIR/include/zlib.h) {
               error("Cannot find ZLIB_DIR/include/zlib.h -- please set ZLIB_DIR env var")
            }
         }
       }
    }
    
    ZLIB_LIB_DIR=$(ZLIB_LIB_DIR)
    !exists($$ZLIB_LIB_DIR/libz.*) {
      ZLIB_LIB_DIR=$$ZLIB_DIR/lib64
      !exists($$ZLIB_LIB_DIR/libz.*) {
        ZLIB_LIB_DIR=$$ZLIB_DIR/lib
        !exists($$ZLIB_LIB_DIR/libz.*) {
           error("Cannot find ZLIB_LIB_DIR/libz.* -- please set ZLIB_LIB_DIR env var")
        }
      }
    }

    LIBS += -L$$ZLIB_LIB_DIR -lz

  } 
  INCLUDEPATH += $$ZLIB_DIR/include/

  message("Configured for zlib")
}
